Subject: Autocomplete Widget modifies query with every request
Description

The autocomplete widget changes the query by adding constraints in the autocompleteAction of the widget controller.
But as the query is passed by reference this adds new constraints with every request instead of replacing the other ones.
Besides the amount of returned objects should be configurable (limit).

Associated revisions
Revision 3145bf0d - 2011-07-18 09:48 - Bastian Waidelich

[BUGFIX] Original Query is modified with every autocomplete request

In the autocompleteAction of the Autocomplete widget constraints are
added to the query that is fetched from $objects. As this is done by
reference, new constraints are added to the same query again and again.

Besides this change adds a new configuration "limit" that defaults to 10.

Change-Id: I169da665f4b2a8561c1feac10ac79739b4a98754
Resolves: #28245

History
#1 - 2011-07-18 09:48 - Mr. Hudson

Patch set 2 of change I169da665f4b2a8561c1feac10ac79739b4a98754 has been pushed to the review server.
It is available at http://review.typo3.org/3394

#2 - 2011-07-19 11:05 - Bastian Waidelich
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:3145bf0dccf5f7201bdcee35b3b873485cc3935e.

2015-08-03 1/1

http://review.typo3.org/3394

